summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/changelog9
-rw-r--r--debian/snmpd.init8
2 files changed, 15 insertions, 2 deletions
diff --git a/debian/changelog b/debian/changelog
index 70f33e2..052deb5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+net-snmp (5.4.3~dfsg-2.3) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * Fix for init script status command when trapd is not running. Thanks to
+ Steve Camfield <steve.camfield@scamfield.co.uk> for the patch
+ (closes: #610306)
+
+ -- Stephen Gran <sgran@debian.org> Sat, 27 Aug 2011 09:10:09 +0000
+
net-snmp (5.4.3~dfsg-2.2) unstable; urgency=high
* Non-maintainer upload.
diff --git a/debian/snmpd.init b/debian/snmpd.init
index 125a1ba..92e54bb 100644
--- a/debian/snmpd.init
+++ b/debian/snmpd.init
@@ -90,8 +90,12 @@ case "$1" in
;;
status)
status=0
- status_of_proc /usr/sbin/snmpd snmpd || status=$?
- status_of_proc /usr/sbin/snmptrapd snmptrapd || status=$?
+ if [ "$SNMPDRUN" = "yes" -a -f /etc/snmp/snmpd.conf ]; then
+ status_of_proc /usr/sbin/snmpd snmpd || status=$?
+ fi
+ if [ "$TRAPDRUN" = "yes" -a -f /etc/snmp/snmptrapd.conf ]; then
+ status_of_proc /usr/sbin/snmptrapd snmptrapd || status=$?
+ fi
exit $status
;;
*)